Skip to main content
GET
Get a plugin subscription

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

pluginId
string<uuid>
required
id
string<uuid>
required

Response

When request is successful. Returns a 'PluginSubscription' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

Unique identifier of the subscription.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

pluginId
string | null

Unique identifier of the plugin.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

pluginVersionId
string | null

Unique identifier of the plugin version. Can be null.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

createdDate
string<date-time>

Plugin subscription created date in UTC.

Example:

"2020-02-15T00:00:00Z"

lastUpdatedDate
string<date-time>

Plugin subscription last updated date in UTC.

Example:

"2020-02-15T00:00:00Z"

isDisabled
boolean

True when the subscription is disabled (the plugin will not function for the user).